# Creating Client Invoice Defaults

This endpoint returns structured Client Invoice Defaults objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the client_invoice_defaults top-level JSON key.
Please see our Response Format section for more information.

Endpoint: POST /client_invoice_defaults
Version: 1.0.0

## Request fields (application/json):

  - `client_invoice_default` (object)

  - `client_invoice_default.client_account_id` (integer)
    The user ID of the client being invoiced.

  - `client_invoice_default.time_rollup_type` (integer)
    Options for how time is formatted on an invoice. These options include 'Detailed', 'Grouped by task',
and 'Grouped by person, then task'. They are represented by the numbers 0, 1, and 2, respectively.

  - `client_invoice_default.expense_rollup_type` (integer)
    Options for how expenses are formatted on an invoice. These options include 'Detailed' and 'Grouped'.
They are represented by the numbers 0 and 1, respectively.

  - `client_invoice_default.rich_text` (string)
    The default rich text shown as additional details on the invoice.

  - `client_invoice_default.show_project_names` (integer)
    Whether project names should be shown on the invoice.

  - `client_invoice_default.show_task_names` (boolean)
    Whether task names should be shown for invoice items.

  - `client_invoice_default.show_subtotals` (boolean)
    Whether subtotals should be shown for time entries on the invoice.

  - `client_invoice_default.show_creators` (boolean)
    Whether the name of the person who created the entry should be shown.

  - `client_invoice_default.show_dates` (boolean)
    Whether dates for items on the invoice should be shown.

  - `client_invoice_default.show_notes` (boolean)
    Whether notes for items on the invoice should be shown.

  - `client_invoice_default.show_hours` (boolean)
    Whether hours logged on a time entry on the invoice should be shown.

  - `client_invoice_default.show_rates` (boolean)
    Whether the rate for the item should be shown.

  - `client_invoice_default.show_tax` (boolean)
    Whether the item's taxable amount should be shown.

  - `client_invoice_default.show_roles` (boolean)
    Whether the role of the person who created the item should be shown.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `client_invoice_defaults` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


